Skip to content

/ai/config (PUT)

PUT
/ai/config
curl --request PUT \
--url https://example.com/api/v1/ai/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "provider": "anthropic", "model": "example", "endpoint": "https://example.com", "apiKey": "example", "localOnly": false }'
Media typeapplication/json
object
provider
required
string
Allowed values: anthropic openai gemini grok llama groq vllm ollama openai-compatible
model
required
string
>= 1 characters <= 200 characters
endpoint
string format: uri
<= 2000 characters
apiKey
string
<= 8000 characters
localOnly
boolean

Default Response

Media typeapplication/json
One of:
object
configured
required
boolean
Example
{
"configured": false
}